Bug Hunting Session
Bug 107181 - Page numbers wizard
Summary: Page numbers wizard
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Fields-Page-Number
  Show dependency treegraph
 
Reported: 2017-04-15 09:32 UTC by Marco A.G.Pinto
Modified: 2018-10-07 22:33 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments
possible GUI (874.02 KB, image/jpeg)
2017-04-15 10:21 UTC, Marco A.G.Pinto
Details
Pager Extension (28.89 KB, image/png)
2017-04-15 15:08 UTC, Dave Barton
Details
possible option to make it easier to use (58.94 KB, image/png)
2017-06-26 19:48 UTC, Marco A.G.Pinto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco A.G.Pinto 2017-04-15 09:32:53 UTC
guys,

I believe there is a need to create a wizard window where one could select which pages don't have numbers, which ones do, starting with a page number on page X and use or not Roman numbers.

20 years ago it was easy to use page numbers in M$ Word and now it is so painful to do, both in MSO and LO.

I believe something needs to be done.
Comment 1 Marco A.G.Pinto 2017-04-15 09:38:37 UTC
[10:33] <@buovjaga> marcoagpinto: are you familiar with this https://dnimruoynepo.blogspot.com/2017/01/page-numbering-libreoffice-writer.html
[10:35] <marcoagpinto> buovjaga: I have bookmarked it
[10:35] <marcoagpinto> :)
[10:35] <marcoagpinto> but there is a need for a wizard
[10:35] <marcoagpinto> it is so hard to do
[10:37] <marcoagpinto> and the help!!! "hide page number on first page" doesn't find anything
Comment 2 Marco A.G.Pinto 2017-04-15 10:21:57 UTC
Created attachment 132585 [details]
possible GUI

[11:03] <@buovjaga> marcoagpinto: it would be good, if you attached a visual design proposal to your wizard report
Comment 3 Dave Barton 2017-04-15 15:08:24 UTC
Created attachment 132590 [details]
Pager Extension

Maybe something like the "Pager" extension:
http://myooo.ru/usercontent/extentions/Pager.oxt
http://myooo.ru/content/view/106/115/
http://extensions.openoffice.org/en/project/pager
See attachment.
Although the last update was in 2008 it works well for LO  5.3.2.2 and 5.4 Daily under Windows & Linux (can't speak for OSX)
The extension is distributed under the LGPL, so maybe Helen would agree to us making this one of our bundled extensions.
Comment 4 Heiko Tietze 2017-04-18 08:31:48 UTC
Wouldn't call it a wizard but agree that page numbering is not as obvious as line and outline numbers. We should consider to merge those, and I'm not sure if users expect also the usual numbering/bullets at the same dialog. Started a redesign but that takes a little bit more grooming.

The question to me is whether or not the page numbering has special needs compared to other types. Needs in terms of ODF definitions, which I guess is 

20.314 style:num-format
20.258 style:first-page-number

But then we do also have 7.3.4 text:page-number (Insert > Page Number) that could easily be mixed-up with the style. Leading to the point where an extension as mentioned in comment 3 makes no sense because "Insert page number" overrides the *insert field* function with *format page style*. And messing up with labels doesn't solve it because the underlying concept is not made for Benjamin.

Putting all together I vote for a new dialog for numbering in general with a clean  concept for all types.
Comment 5 Yousuf Philips (jay) (retired) 2017-06-24 21:40:55 UTC
(In reply to Marco A.G.Pinto from comment #0)
> I believe there is a need to create a wizard window where one could select
> which pages don't have numbers, which ones do, starting with a page number
> on page X and use or not Roman numbers.

I've suggested in bug 86630 a simple means to make it easy for beginners to insert page numbers, so a dialog could expand the simplicity with more options.

(In reply to Marco A.G.Pinto from comment #2)
> Created attachment 132585 [details]
> possible GUI

Unfortunately this goes to far with what can be achieved, especially when users can create their own headers and footers, which the page number needs to sit in, and the page number style is part of a page styles properties.

(In reply to Heiko Tietze from comment #4)
> Wouldn't call it a wizard but agree that page numbering is not as obvious as
> line and outline numbers. We should consider to merge those, and I'm not
> sure if users expect also the usual numbering/bullets at the same dialog.
> Started a redesign but that takes a little bit more grooming.

Dont think its a good idea to merge line and chapter numbering as that would be confusing, and adding page numbering is definitely not an option.

> The question to me is whether or not the page numbering has special needs
> compared to other types. Needs in terms of ODF definitions, which I guess is 

Page numbers are a simple field inserting anywhere on the page or in the header or footer, so there would never be a single dialog to encompass what can happen with page numbers.
Comment 6 RGB 2017-06-25 16:15:32 UTC
(In reply to Yousuf Philips (jay) from comment #5)
> <snip> 
> Page numbers are a simple field inserting anywhere on the page or in the
> header or footer, so there would never be a single dialog to encompass what
> can happen with page numbers.

Indeed. Maybe what's needed is not a dialogue or wizard to insert page numbers, but a better way to design page headers and footers. 

Right now when you define a page style you can set all its properties, including if they have a header or a footer BUT it is not possible to define in the same way the header/footer CONTENT: that needs to be manually added on an actual page and that can be confusing. Maybe the header/footer tab on the page style definition should be extended to get some kind of "editor" where you pick what needs to be inserted and when (which fields, tab stops, which paragraph or even character style needs to be used on each part, etc.).
Comment 7 Yousuf Philips (jay) (retired) 2017-06-25 21:24:34 UTC
(In reply to RGB from comment #6)
> Right now when you define a page style you can set all its properties,
> including if they have a header or a footer BUT it is not possible to define
> in the same way the header/footer CONTENT: that needs to be manually added
> on an actual page and that can be confusing. Maybe the header/footer tab on
> the page style definition should be extended to get some kind of "editor"
> where you pick what needs to be inserted and when (which fields, tab stops,
> which paragraph or even character style needs to be used on each part, etc.).

This would be a complicated feature to achieve and wouldnt be a good workflow.
Comment 8 Cor Nouws 2017-06-26 18:29:32 UTC
(In reply to Yousuf Philips (jay) from comment #7)
> (In reply to RGB from comment #6)
> > Right now when you define a page style you can set all its properties,
> > including if they have a header or a footer BUT it is not possible to define
> > in the same way the header/footer CONTENT: that needs to be manually added
> > on an actual page and that can be confusing. Maybe the header/footer tab on
> > the page style definition should be extended to get some kind of "editor"
> > where you pick what needs to be inserted and when (which fields, tab stops,
> > which paragraph or even character style needs to be used on each part, etc.).
> 
> This would be a complicated feature to achieve and wouldnt be a good
> workflow.

It is how it is implemented in Calc. For obvious reasons: one can't put the cursor directly in the header/footer area.
Comment 9 Marco A.G.Pinto 2017-06-26 19:48:55 UTC
Created attachment 134299 [details]
possible option to make it easier to use

Well,

I have been meditating a lot.

Please take a look at this screenshot with a possible new option that would make it easier for people to set pages as cover/first.

:)

Kind regards,
Comment 10 Cor Nouws 2017-06-27 14:52:07 UTC
(In reply to Marco A.G.Pinto from comment #9)

> Please take a look at this screenshot with a possible new option that would
> make it easier for people to set pages as cover/first.

Nice checkbox :)
Use of that hás to interfere with the applied page style, and you maybe want it not to appear if the header/footer is encounterd on a page > #1 ?
Comment 11 Marco A.G.Pinto 2017-06-27 14:59:11 UTC
(In reply to Cor Nouws from comment #10)
> 
> Nice checkbox :)
> Use of that hás to interfere with the applied page style, and you maybe want
> it not to appear if the header/footer is encounterd on a page > #1 ?

Cor, it must appear not only on page #1, because theses (plural of thesis) and books usually have two covers, the main and the page after it is also a kind of cover without page number.

In my dissertation (masters) and in my thesis (PhD) the first two pages (covers) don't have numbers.
Comment 12 RGB 2017-06-27 15:58:36 UTC
(In reply to Marco A.G.Pinto from comment #11)
> (In reply to Cor Nouws from comment #10)
> > 
> > Nice checkbox :)
> > Use of that hás to interfere with the applied page style, and you maybe want
> > it not to appear if the header/footer is encounterd on a page > #1 ?
> 
> Cor, it must appear not only on page #1, because theses (plural of thesis)
> and books usually have two covers, the main and the page after it is also a
> kind of cover without page number.
> 
> In my dissertation (masters) and in my thesis (PhD) the first two pages
> (covers) don't have numbers.

The "use different content on first page" only works with the very first page of the document. If you need a more complex structure (the first number of pages without header nor footer, no header or footer on the first page of every chapter or different header/footer content on index pages, just to name a few examples) then you need to use a sequence of page styles, some of them associated with paragraph styles (for the second example, "Heading 1" apply a "page break, before" with a change to "First page" page style and "First page" is followed by some "Chapter body" page style). IMO, these tasks are too complex for a simple context menu. When you add (or delete) content from headers and footers you are actually modifying the current page style, and when you move from one style to another you need either a page break or a well defined style sequence: there is no such a thing as direct formatting for pages on Writer (and that's a good thing!). 

The way in which pages are handled by Writer is robust, logical and even easy... once you understand how the whole thing works. The problem here is that new users see they can add headers and footers from the Insert menu or even directly from the page itself and thus they think it's some kind of direct formatting, when it's not. They get quite confused when you say to them "no, you need to define everything about the page on the page style dialogue, except of course the header/footer content that needs to be done by hand on the page. But don't think you are doing direct formatting! You are not! That modify the page style too!"

I've been explaining how to use Writer for the last decade (of course, not in the terms of the previous paragraph ;) ). In my experience page styles is, by far, the concept that users have more trouble with, and that's because the UI does not help to understand the concept. In fact it adds confusion.
Comment 13 Marco A.G.Pinto 2017-06-28 11:22:17 UTC
I need to add this comment:
Every time I said on IRC that I had difficulties with the page numbering, people would write a URL (to a blog?) where it was explained.

My question is: can't the information there be added to the help system of LO?

Regarding page numbering, the help system is very bad (sorry to be honest, but it is the truth, also the keywords to get there are very specific and it should also show the text using other expressions).

Everything I develop, even children can use. I am for simplicity.

:p

just my two cents,
Comment 14 Heiko Tietze 2017-06-28 12:40:58 UTC
Adding the master of help.